Name:           quadkonsole
Version:        2.0.2
Release:        4%{?dist}
Summary:        Embeds Konsole kparts in a grid layout

Group:          Applications/System
License:        GPLv2+
URL:            http://nomis80.org/quadkonsole/
Source0:        http://nomis80.org/quadkonsole/quadkonsole-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs3-devel desktop-file-utils

# for (kde3) konsole kpart
Requires: kdebase3

%description
QuadKonsole is a program which embeds 4 Konsoles (other numbers can be
specified on the command-line). This way you save screen real estate, you don't
have to worry about careful placement and the startup time is faster than
starting up 4 separate Konsoles.


%prep
%setup -q


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
        --vendor="" \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/quadkonsole.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/quadkonsole
%{_datadir}/applications/kde/*quadkonsole.desktop


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Apr 01 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.0.2-3
- fix rawhide build (#434346)
- d-f-i: fix double vendor
- License: GPLv2+

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0.2-2
- Autorebuild for GCC 4.3

* Wed Apr  4 2007 Simon Perreault <nomis80@nomis80.org> - 2.0.2-1
- Update to 2.0.2.

* Tue Feb 27 2007 Simon Perreault <nomis80@nomis80.org> - 2.0.1-3
- Require kdebase. Fix #230185.

* Tue Mar  7 2006 Simon Perreault <nomis80@nomis80.org> - 2.0.1-2
- Reformatted description to make rpmlint happy.

* Tue Mar  7 2006 Simon Perreault <nomis80@nomis80.org> - 2.0.1-1
- Initial package.
